package es.verdnatura.presentation.view.feature.inventario.model

class ItemInventaryVO(
    var itemFk: Int? = null,
    var longName: String? = null,
    var size: String? = null,
    var producer: String? = null,
    var downstairs: Int? = null,
    var upstairs: Int? = null,
    var nicho: Int? = null,
    var isError: Boolean = false,
    var errorMessage: String = "",
    var itemColour: String = ""
)

class InventaryListVO(
    var list: List<ItemInventaryVO> = listOf()
)

class ItemShelvingVisible(
    var visible: Int
)

class ItemShelvingVisibleZero(
    var visible: Int,
    var isChecked: Boolean?
)

class ItemShelvingChecked(
    var isChecked: Boolean?,
    var userFk : Int
)

data class ItemInventoryParking(
    var id: Long = 0,
    var pickingOrder: Int = 0,
    var parking: String = "",
    var shelvingFk: String = "",
    var itemFk: Int = 0,
    var longName: String = "",
    var visible: Int = 0,
    var sectorFk: Int = 0,
    var buyer: String = "",
    var urlImage: String = "",
    var isChecked: Int? = null,
    var priority: Int = 0,
    var isError: Boolean = false,
    var errorMessage: String = "",
)

class InventoryParkingList(
    var list: List<ItemInventoryParking> = listOf()
)

